#ifndef FACE_H
#define FACE_H

namespace A48 {

class Face {
  Hedge  *e_; // edge loop
  friend class Mesh;

 public:
	   Vec3 normal;
  Face(Hedge* e0, Hedge* e1, Hedge* e2) { reuse(e0, e1, e2); };

  Hedge* hedge(int k);
  Vertex* vertex(int k);
  Vec3 getNormal();
  void criarNormal(); 
 private:
  void set_hedge(int k, Hedge* h);
  void set_vertex(int k, Vertex* v);

  void link_star_verts();

  Face* reuse(Hedge *e0, Hedge *e1, Hedge *e2);
};

}

#endif
