// Kdtree.h: interface for the Kdtree class.
//
//////////////////////////////////////////////////////////////////////

#pragma once

#include "KdNode.h"


class Kdtree 
{
private:
	void gerarArvore(vector<Vertex *> *pontos);
public:
	Kdtree();
	Kdtree(vector<Vertex *> *pontos);
	~Kdtree();
	KdNode *raiz;
	Vertex *searchkdtree(Vertex *x, double threshold);
	Vertex *searchkdtree(Vec3 x, double threshold);
};
